/**Begin D:\tmc\PDM_UPGRADE\pdm1\IFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IFM_ACCOUNTFROZEN')
CREATE TABLE T_IFM_ACCOUNTFROZEN (
 FID BIGINT DEFAULT 0 NOT NULL,
 FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
 FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
 FCREATORID BIGINT DEFAULT 0 NOT NULL,
 FCREATETIME DATETIME,
 FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
 FMODIFYTIME DATETIME,
 FAUDITORID BIGINT DEFAULT 0 NOT NULL,
 FAUDITDATE DATETIME,
 FORGID BIGINT DEFAULT 0 NOT NULL,
 FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
 FFROZENSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
 FFROZENTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
 FAPPLYDATE DATETIME,
 FFROZENAMOUNT DECIMAL(23,10),
 FTOTALFROZENAMOUNT DECIMAL(23,10),
 FFROZENENDDATE DATETIME,
 FFROZENREASON NVARCHAR(255)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IFM_ACCOUNTFROZEN_L')
CREATE TABLE T_IFM_ACCOUNTFROZEN_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFROZENREASON NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\tmc\PDM_UPGRADE\pdm1\IFM_table.sql **/